---
title: "Audit Rooms"
slug: "audit-rooms"
tags: ["Enterprise"]
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Audit and Get Room Members

Get/api/v1/audit/rooms.members![Premium tag](https://raw.githubusercontent.com/RocketChat/Rocket.Chat-Open-API/main/images/premium.svg)

Audit any public or private room and view the room members. You don't need to be a member of the room.

Permission required: `view-members-list-all-rooms`

### Changelog

| Version | Description |
| --- | --- |
| 6.12.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

Enter the room ID that you want to audit.

Example66cd971f6fcbb8e8b3cf8e69
filterstring

Filter the results using the text that you want to view.

countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='e4f3c3be-74ac-471e-96fa-6889d24abac1'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7ee75126-7a54-4f0a-ad86-3dc393a1f6d3'>Example 1</option>
</select>Example 1

```json
{
  "members": [
    {
      "_id": "FSA63o85Poa2EQvAH",
      "status": "offline",
      "name": "cat kate",
      "username": "cat.kate",
      "_updatedAt": "2024-08-27T09:07:03.795Z"
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
```

Expand Allobject  members Array of object   object  _idstring    
statusstring    
namestring    
usernamestring    
_updatedAtstring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='24a0691f-b5e3-4382-ac44-effa0ab45c8a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='78346b82-64f8-4b0a-91f2-fa2bccb0fcdf'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "must have required property 'roomId' [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='3e899ed9-f038-43d8-baf4-c570158c617f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1d933699-cdf2-471a-8cec-1cc289b363aa'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring    

403

Forbidden

<select class='api-response-data' aria-label='Media type'><option value='bb86afa9-4385-4bb2-b803-670bb54047a2'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c3e1f36e-0654-456d-b9fd-ffb55dc6c811'>Permission Error</option>
</select>Permission Error

```json
{
  "success": false,
  "error": "User does not have the permissions required for this action [error-unauthorized]"
}
```

object  successboolean    
errorstring
